<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>New Todo</title>
</head>
<body>

<h2>New Todo</h2>

<form method="post" th:action="@{/todos/new}">
    <label for="title">Title:</label>
    <input type="text" id="title" name="title" required/>
    <br/>
    <label for="completed">Completed:</label>
    <input type="checkbox" id="completed" name="completed"/>
    <br/>
    <input type="submit" value="Save"/>
</form>

<br/>

<a th:href="@{/todos}">Back to Todo List</a>

</body>
</html>
